%define upstream_name Dist-Zilla-Plugin-TemplateCJM
%define upstream_version 5.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Process templates, including version numbers & changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::ModuleInfo)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::TemplateCJM is a plugin written for Dist::Zilla.
It used to be distributed in Dist-Zilla-Plugins-CJM, but when
DateTime::Format::Natural was added as a prerequisite, it was decided
to split it out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.1.0-4.mga8
+ Revision: 1494398
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 5.1.0-3.mga7
+ Revision: 1267577
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.1.0-2.mga6
+ Revision: 1026584
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 5.1.0-1.mga6
+ Revision: 1008026
- Add BR
- update to 5.001

* Sat Feb 20 2016 umeabot <umeabot> 4.240.0-2.mga6
+ Revision: 971320
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 4.240.0-1.mga6
+ Revision: 891332
- update to 4.24

* Mon Jul 13 2015 sander85 <sander85> 4.230.0-1.mga6
+ Revision: 853614
- update to 4.23

* Wed Oct 15 2014 umeabot <umeabot> 4.220.0-3.mga5
+ Revision: 749453
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 4.220.0-1.mga5
+ Revision: 619551
- update to 4.22

* Sat Oct 19 2013 umeabot <umeabot> 4.210.0-2.mga4
+ Revision: 534184
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 4.210.0-1.mga4
+ Revision: 476353
- update to 4.21

* Sun Aug 25 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 471481
- imported package perl-Dist-Zilla-Plugin-TemplateCJM

